curl --request POST \
--url https://app.famulor.io/api/v1/dashboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"sort_order": 500000,
"show_default_sections": true,
"hidden_default_sections": []
}
'import requests
url = "https://app.famulor.io/api/v1/dashboards"
payload = {
"name": "<string>",
"sort_order": 500000,
"show_default_sections": True,
"hidden_default_sections": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
sort_order: 500000,
show_default_sections: true,
hidden_default_sections: []
})
};
fetch('https://app.famulor.io/api/v1/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sort_order": 1,
"show_default_sections": true,
"hidden_default_sections": [
"filter_bar"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Create a custom dashboard
Creates a dashboard in the API key’s workspace. Required scope: dashboards:write or calls:write.
Authorizations
API key (fam_..., created under Settings → API Keys) or an OAuth 2.0 access token (fam_at_...). REST operations also require API Access for the credential's workspace. Keys can be restricted to scopes such as assistants:read, calls:write, campaigns:write, automations:read, dashboards:read, dashboards:write, leads:write, segments:write, loop:read, loop:write, phone_numbers:write, sip_trunks:write, knowledge:write, voices:read, billing:read, billing:write, settings:write, platform:read, platform:write; a *:write scope implies the matching *:read. Automation and dashboard endpoints also accept the legacy calls:* scope. Keys without scope restrictions have full access within the workspace's available capabilities.
Body
Create requires name. PATCH accepts name, sort_order, show_default_sections, and/or hidden_default_sections.
1 - 1200 <= x <= 1000000Set false for a blank canvas or true to restore the built-in overview.
Complete list of built-in cards to hide individually; send an empty array to restore all.
21filter_bar, kpi_conversations, kpi_completion_rate, kpi_average_duration, kpi_success_rate, kpi_conversation_spend, call_activity, outcome_mix, assistant_performance, post_call_intelligence, campaign_funnel, module_assistants, module_campaigns, module_audience, module_booking, module_knowledge, module_simulations, module_live_monitoring, module_tools, module_phone_numbers, recent_calls Response
Created dashboard.
Show child attributes
Show child attributes